> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Account Details

> Retrieve integration details such as balances, wallets, platform fees, and preferences.



## OpenAPI

````yaml /api-reference/openapi.json get /users/fetch-integration
openapi: 3.0.0
info:
  title: BREET PUBLIC API
  version: 1.0.0
  license:
    name: Proprietary
    url: https://breet.io/terms
servers:
  - url: https://api.breet.io/v1
security:
  - appId: []
    appSecret: []
    breetEnv: []
tags:
  - name: Crypto Wallet
    description: Generate and manage crypto wallet addresses for receiving deposits.
    x-group: Wallets and Deposits
  - name: Withdrawals
    description: >-
      ## Withdrawals


      To help protect your funds, withdrawals support an additional security
      layer through **IP whitelisting**.


      ### IP Whitelisting


      When IP whitelisting is enabled, all withdrawal requests must originate
      from an approved IP address. Any withdrawal request coming from an IP not
      on the whitelist will be automatically blocked.


      You can add up to **7 IP addresses** from your dashboard.


      This feature is recommended for:


      - Production servers
          
      - Preventing unauthorized withdrawal attempts
          

      ### How it works


      - Enable IP whitelisting from your dashboard
          
      - Add up to 7 trusted IP addresses
          
      - Only requests from those IPs will be allowed to initiate withdrawals
          

      If IP whitelisting is disabled, withdrawals can be initiated from any IP
      address.
  - name: Banks
    description: List, validate, add, and remove bank accounts for fiat withdrawals.
  - name: Transactions
    description: Retrieve deposit and trade transaction history.
  - name: Webhooks
    description: >-
      Inspect and retry **outgoing** webhooks we send to your server (trade and
      withdrawal events). Requires an active integration with API access (VIP
      partners). For **incoming** payload shapes and verification, see the
      Webhooks guide in the Guides tab.
  - name: Assets
    description: >-
      Retrieve the list of supported deposit/sell assets and their
      configuration.
  - name: Rates and Prices
    description: >-
      Get live market prices and calculate conversion rates. These endpoints are
      public and do not require authentication.
  - name: Account
    description: Retrieve and update integration account details and preferences.
  - name: Testing
    description: Endpoints for testing your integration in development.
  - name: Conversion
    description: >-
      Convert between USD and local fiat (NGN | GHS). Available for both user
      and integration (business) flows.
  - name: Wallet addresses
    description: >-
      Add and remove withdrawal (payout) wallet addresses. If the same address,
      network, and token are sent with a different label, the existing address
      is updated.
paths:
  /users/fetch-integration:
    get:
      tags:
        - Account
      summary: Fetch Account Details
      description: >-
        Retrieve integration details such as balances, wallets, platform fees,
        and preferences.
      operationId: fetchAccountDetails
      responses:
        '200':
          description: Integration details returned successfully
          content:
            application/json:
              example:
                message: data fetched
                success: true
                data:
                  _id: 692d994b7ca6e4da422363fb
                  id: 692d994b7ca6e4da422363fb
                  webhook:
                    url: https://webhook.site/8982fc25-e507-410a-aa8d-874be3a4e72c
                    secret: >-
                      breet_whsec_test_bJvWISpL9WvpZw0coXdHxMZwD3n303ra615UsVQjZc
                  merchantReference: B-LBNS1M85
                  appId: b7362d4d-5254-45ae-9bba-23888d9ea046
                  isActive: true
                  user:
                    _id: 68ca0d24604d65932aac2fc8
                    id: 68ca0d24604d65932aac2fc8
                    country: nigeria
                    name: AB Vip
                    email: abcdvip@yopmail.com
                    phoneNumber: '2341234567890'
                  autoSettlement: false
                  fiatWallets:
                    - _id: 68d2bdbcf8dfc915d9af55b9
                      id: 68d2bdbcf8dfc915d9af55b9
                      balance: 20672860.25790078
                      currency: ngn
                    - _id: 69415ce9d75a0b24db9ef8bb
                      id: 69415ce9d75a0b24db9ef8bb
                      balance: 44080.5
                      currency: usd
                  cryptoWallets:
                    - _id: 68d2cf54b1cf5a774ab92f49
                      id: 68d2cf54b1cf5a774ab92f49
                      currency: ngn
                      name: Doge Coin Test
                      identifier: DOGE_TEST
                      address: nhaUun3MKT2DZ4UehDZ4bR74U3WuFuY2k3
                    - _id: 68d2cf52b1cf5a774ab92f48
                      id: 68d2cf52b1cf5a774ab92f48
                      currency: ngn
                      name: Bitcoin Test
                      identifier: BTC_TEST
                      address: tb1q9d577yrwes9krmrm6dhn8svwqq0dfz6tv9qa2l
                    - _id: 68d2cf51b1cf5a774ab92f47
                      id: 68d2cf51b1cf5a774ab92f47
                      currency: ngn
                      name: Bitcoin Cash Test
                      identifier: BCH_TEST
                      address: bchtest:qqm64peafqa8ds8kxutcgp0gm9grpyqgxqkssc62gt
                    - _id: 68d2cf4fb1cf5a774ab92f46
                      id: 68d2cf4fb1cf5a774ab92f46
                      currency: ngn
                      name: Solana Test
                      identifier: SOL_TEST
                      address: 64ESMMm3pDEPrWKuY1YfJP5pBNjDoxZzYEUDRWgXM1Lo
                    - _id: 68d2cf4e3163be4cdb12a793
                      id: 68d2cf4e3163be4cdb12a793
                      currency: ngn
                      name: Litecoin Test
                      identifier: LTC_TEST
                      address: tltc1q0t0x3ln6kj3ptvunmx6d786ddgfsckma8sd24z
                    - _id: 68d2cf4cb1cf5a774ab92f45
                      id: 68d2cf4cb1cf5a774ab92f45
                      currency: ngn
                      name: Ethereum Test (Sepolia)
                      identifier: ETH_TEST5
                      address: '0x13380Ab16b01D01e9ab3fA9bDDEd09cAb54234B2'
                    - _id: 68d2cf4b3163be4cdb12a792
                      id: 68d2cf4b3163be4cdb12a792
                      currency: ngn
                      name: BNB Smart Chain Testnet
                      identifier: BNB_TEST
                      address: '0x13380Ab16b01D01e9ab3fA9bDDEd09cAb54234B2'
                    - _id: 68d2cf493163be4cdb12a791
                      id: 68d2cf493163be4cdb12a791
                      currency: ngn
                      name: Tron Test
                      identifier: TRX_TEST
                      address: TBipyZ6aVbUUnfUZWo4ohnWQa2kyuHV14N
                  platformFeePercent: 1.5
                  createdAt: '2025-12-01T13:34:03.240Z'
                  updatedAt: '2026-01-14T09:33:46.137Z'
                meta: {}
                summary: {}
                stats: {}
        '401':
          description: Integration is inactive or API access is not enabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                message: you do not have API access
                meta: {}
                errors: []
                data: {}
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    ErrorResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          enum:
            - false
        message:
          type: string
        meta:
          type: object
        errors:
          type: array
          items:
            type: object
        data:
          type: object
  responses:
    InternalServerError:
      description: An unexpected server error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: something went wrong!
            meta: {}
            errors: []
            data: {}
  securitySchemes:
    appId:
      type: apiKey
      in: header
      name: x-app-id
      description: Your application ID from the Breet dashboard
    appSecret:
      type: apiKey
      in: header
      name: x-app-secret
      description: Your application secret from the Breet dashboard
    breetEnv:
      type: apiKey
      in: header
      name: X-Breet-Env
      description: 'Environment selector: development or production'

````